//
//  $Id: FormObject.h,v 1.1.1.1 2000/06/02 22:23:00 sergey Exp $
//

#ifndef _FormObject_h_
#define _FormObject_h_


namespace UI
{
    class Form;


    //
    //  Base class for all form objects
    //
    class FormObject
    {
    protected:
        FormObject(Form& parent, Word objectID);
        ~FormObject() {}

    private:
        FormObject(const FormObject&);
        FormObject& operator =(const FormObject&);

    // operations
    public:
        void setFocus();
        bool hasFocus() const;

    // attributes

        Form& parent() const { return *_parent; }
        Word objectID() const { return _objectID; }

    // data members
    private:
        Form*   _parent;
        Word    _objectID;
    };
}
// namespace UI

#endif // _FormObject_h_
